## NAME

r.li.renyi - Calculates Renyi's diversity index on a raster map

## KEYWORDS

raster, landscape structure analysis, diversity index

## SYNOPSIS

r.li.renyi
r.li.renyi --help
r.li.renyi input=name config=name alpha=string output=name [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name [required]
  Name of input raster map
config=name [required]
  Configuration file
alpha=string [required]
  Alpha value is the order of the generalized entropy
output=name [required]
  Name for output raster map

## DESCRIPTION

r.li.renyi calculates the "Renyi's diversity index" as:
with:

- H: Renyi entropy
- alpha: order of the generalized entropy
- i: patch type
- S: number of different patch types
- pi: proportional abundance of patch type i

## NOTES

Do not use absolute path names for the config and output file/map parameters. If the "moving window" method was selected in g.gui.rlisetup, then the output will be a raster map, otherwise an ASCII file will be generated in the folder `C:\Users\userxy\AppData\Roaming\GRASS7\r.li\output\` (MS-Windows) or `$HOME/.grass7/r.li/output/` (GNU/Linux).

If the input raster map contains only NULL values then r.li.renyi returns NULL.

## EXAMPLES

To calculate Renyi's diversity index on map my_map, using my_conf configuration file (previously defined with g.gui.rlisetup) and saving results in my_out, run:

    r.li.renyi input=my_map conf=my_conf output=my_out alpha=0.6

Forest map (Spearfish sample dataset) example:

    g.region raster=landcover.30m -p
    r.mapcalc "forests = if(landcover.30m >= 41 && landcover.30m <= 43,1,null())"
    r.li.renyi input=forests conf=movwindow7 out=forests_renyi_mov7_a06 alpha=0.6
    r.univar forests_renyi_mov7_a06

Forest map (North Carolina sample dataset) example:

    g.region raster=landclass96 -p
    r.mapcalc "forests = if(landclass96 == 5, 1, null() )"
    r.li.renyi input=forests conf=movwindow7 out=forests_renyi_mov7

    # verify
    r.univar forests_renyi_mov7
    r.to.vect input=forests output=forests type=area
    d.mon wx0
    d.rast forests_renyi_mov7
    d.vect forests type=boundary

## SEE ALSO

r.li - package overview
g.gui.rlisetup

## REFERENCES

McGarigal, K., and B. J. Marks. 1995. FRAGSTATS: spatial pattern analysis program for quantifying landscape structure. USDA For. Serv. Gen. Tech. Rep. PNW-351. (PDF)

## AUTHORS

Luca Delucchi and Duccio Rocchini, Fondazione E. Mach (Italy), based on the r.li.shannon code developed by Serena Pallecchi student of Computer Science University of Pisa (Italy).

## SOURCE CODE

Available at: r.li.renyi source code (history)

Accessed: Wednesday Jul 09 13:12:52 2025

Main index | Raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 7.8.8 Reference Manual